Bug 88651 - mozilla requires compat-gcc-c++ in comps.xml
mozilla requires compat-gcc-c++ in comps.xml
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: 90633 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-04-11 14:19 EDT by Gene Czarcinski
Modified: 2007-04-18 12:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-29 16:51:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2003-04-11 14:19:41 EDT
Description of problem:

Mozilla appears to require the "old" gcc/gcc-c++ compiler and libraries. 
However, the comps.xml entry for mozilla requires compat-gcc-c++ (instead of
more likely  compat-libstdc++).  This in turn drags in compat-gcc and
glibc-devel even if no other development stuff selected.  The compat-gcc-c++ is
likely needed to build the package but not for the runtime binary packages.
Comment 1 Bill Nottingham 2003-04-11 14:31:45 EDT
Hm, this appears to have crept in when genfullcomps was run.
Comment 2 Gene Czarcinski 2003-04-11 17:41:40 EDT
Mmmm ... I thought the "comps" component was the one for reporting stuff about
the  file specifying package grouping/select.
Comment 3 Jeremy Katz 2003-04-11 17:46:50 EDT
You really don't want to know why this happens...  I'll see what I can hack up
(and yes, technically it is comps, but this is "tools surrounding comps" so it
falls more into my lap :)
Comment 4 Jeremy Katz 2003-05-16 17:26:11 EDT
This is magically fixed with rawhide (since mozilla is built with gcc 3.2) but
some heuristics changes are still needed for getfullcomps
Comment 5 Bill Nottingham 2003-05-19 12:32:05 EDT
*** Bug 90633 has been marked as a duplicate of this bug. ***
Comment 6 Jeremy Katz 2003-06-29 16:51:49 EDT
Slightly better heuristics now used.

Note You need to log in before you can comment on or make changes to this bug.